<template>
    <div class="content__leftAnalitika">
        <div class="create-tarif">
            <h2 class="title-create">
                <router-link :to="route('currencies')">
                    <svg>
                        <use xlink:href="/img/sprite.svg#long-arrow-pointing-to-the-right"/>
                    </svg>
                    {{ $t('ui.back') }}
                </router-link>
                {{ $t('currencies.form.create_title') }}
            </h2>
            <currency-form @submit="save"/>
        </div>
    </div>
</template>

<script>
    import {mapGetters} from 'vuex';
    import route from "../mixins/route";
    import CurrencyForm from "../components/currencies/CurrencyForm";
    import currencies from "../currencies";

    export default {
		name: "CurrencyCreate",
        mixins: [route],
        components: { CurrencyForm },
        data(){
            return {
                currency: undefined
            }
        },
        computed: {
            ...mapGetters([
                'axios'
            ]),
        },
        methods: {
            save(form){
                this.axios
                    .post(`currencies`, form)
                    .then(resp => resp.data)
                    .then(data => {
                        this.$swal(this.$t('ui.success'), data.message, 'success')
                            .then(() => {
                                this.$router.push(this.route('currencies'))
                            });
                        currencies.loadData();
                    })
                ;
            }
        }
	}
</script>

<style scoped>

</style>
